      subroutine hvisc_coef_empty

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_hvisc_coef_empty.h"
      return
      end
      subroutine hdiff_coef (tile)      


      use Agrif_Util
#include "Param_BeforeCall_hdiff_coef.h"
      integer(4) :: tile
      

        call Sub_Loop_hdiff_coef(tile, Agrif_tabvars_i(15)%iarray0, Agri
     &f_tabvars(117)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i
     &(7)%iarray0, Agrif_tabvars_i(16)%iarray0)

      end


#include "Sub_Loop_hdiff_coef.h"
      subroutine hdiff_coef_tile (Istr,Iend,Jstr,Jend,grd_scale)      


      use Agrif_Util
#include "Param_BeforeCall_hdiff_coef_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: grd_scale
      

        call Sub_Loop_hdiff_coef_tile(Istr,Iend,Jstr,Jend,grd_scale, Agr
     &if_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvar
     &s_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(97)%arr
     &ay2, Agrif_tabvars(149)%array4, Agrif_tabvars(128)%array3, Agrif_t
     &abvars(100)%array2, Agrif_tabvars_i(154)%iarray0, Agrif_tabvars(15
     &0)%array4, Agrif_tabvars(129)%array3, Agrif_tabvars_l(13)%larray0,
     & Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_t
     &abvars_l(12)%larray0)

      end


#include "Sub_Loop_hdiff_coef_tile.h"
